--业务对象维度映射预置  
--行政组织字段要多导一个表

/*  

creator：叶新发
存量数据与预置数据的冲突问题解决方案
场景：
	薪酬管理目前在标品是灰度，但是在中兴微电子等项目上已经放开了灰度，客户现场进行测试时或生产环境新建了一部分的维度映射数据，而标品的系统预置数据还没有新建。
问题：
	HR中台的业务维度映射要求业务对象编码唯一，如果不唯一会导致控权出现问题。
解决方案：
	系统业务对象维度映射前，根据系统预置的业务对象编码将客户现场的存量数据id更改为我们预置的id，同时分录表的id也挂到我们预置的表上；
	涉及表t_hrcs_entityctrl，t_hrcs_entitydimentry，t_hrcs_entitydimentry_l（无需升级） ，t_hrcs_entitycrossot（无需升级）
经跟中台汪良文沟通，角色那边不会写死维度映射的id，此方案可行。

样例：薪酬管理预置的维度映射，一律先更新，后新增

UPDATE T_HRCS_ENTITYDIMENTRY SET FID = 新id WHERE FID IN (SELECT FID FROM t_hrcs_entityctrl WHERE FAPPID = '/UHLXNRR9KPZ' AND FENTITYTYPEID = 'hsbs_standarditem');
DELETE FROM  t_hrcs_entityctrl WHERE FAPPID = '/UHLXNRR9KPZ' AND FENTITYTYPEID = 'hsbs_standarditem';
DELETE FROM  T_HRCS_ENTITYDIMENTRY WHERE FID = 1387911703848561664 AND FPROPKEY = 'country';

*/

--定调薪项目 

UPDATE T_HRCS_ENTITYDIMENTRY SET FID = 1387911703848561664 WHERE FID IN (SELECT FID FROM t_hrcs_entityctrl WHERE FAPPID = '/UHLXNRR9KPZ' AND FENTITYTYPEID = 'hsbs_standarditem');
DELETE FROM t_hrcs_entityctrl WHERE FAPPID = '/UHLXNRR9KPZ' AND FENTITYTYPEID = 'hsbs_standarditem';
DELETE FROM  T_HRCS_ENTITYDIMENTRY WHERE FID = 1387911703848561664 AND FPROPKEY = 'country';

DELETE FROM t_hrcs_entityctrl WHERE FID = 1387911703848561664;
INSERT INTO t_hrcs_entityctrl(FID,FCREATETIME,FMODIFIERID,FMODIFYTIME,FAPPID,FCREATORID,FENTITYTYPEID) VALUES (1387911703848561664,{ts'2022-03-30  00:00:00'},13466739,{ts'2022-04-04  00:00:00'},'/UHLXNRR9KPZ',13466739,'hsbs_standarditem'); 

DELETE FROM T_HRCS_ENTITYDIMENTRY WHERE FENTRYID = 1387911703848572928;
INSERT INTO T_HRCS_ENTITYDIMENTRY(FID,FISMUST,FISSYSPRESET,FPROPKEY,FENTRYID,FDIMENSIONID,FSEQ,FDESCRIPTION,FAUTHRANGE) VALUES (1387911703848561664,'0','1','country',1387911703848572928,1386054929709435904,1,' ','3'); 

--薪酬结构 

UPDATE T_HRCS_ENTITYDIMENTRY SET FID = 1681251027074020352 WHERE FID IN (SELECT FID FROM t_hrcs_entityctrl WHERE FAPPID = '0VO5EV13=I9W' AND FENTITYTYPEID = 'hcdm_salaystructure');
DELETE FROM t_hrcs_entityctrl WHERE  FAPPID = '0VO5EV13=I9W' AND FENTITYTYPEID = 'hcdm_salaystructure';
DELETE FROM  T_HRCS_ENTITYDIMENTRY WHERE FID = 1681251027074020352 AND FPROPKEY = 'country';

DELETE FROM t_hrcs_entityctrl WHERE FID = 1681251027074020352;
INSERT INTO t_hrcs_entityctrl(FID,FCREATETIME,FMODIFIERID,FMODIFYTIME,FAPPID,FCREATORID,FENTITYTYPEID) VALUES (1681251027074020352,{ts'2023-05-09  00:00:00'},13466739,{ts'2023-05-09  00:00:00'},'0VO5EV13=I9W',13466739,'hcdm_salaystructure'); 

DELETE FROM T_HRCS_ENTITYDIMENTRY WHERE FENTRYID = 1681251027073895424;
INSERT INTO T_HRCS_ENTITYDIMENTRY(FID,FISMUST,FISSYSPRESET,FPROPKEY,FENTRYID,FDIMENSIONID,FSEQ,FDESCRIPTION,FAUTHRANGE) VALUES (1681251027074020352,'0','1','country',1681251027073895424,1386054929709435904,1,' ','3'); 

--薪酬标准表 之前预置过，只是标识没改成系统预置 参见 kd_1.5.151_hmp_bizobjdimmapperm.sql
UPDATE T_HRCS_ENTITYDIMENTRY SET FID = 1463598089876068352 WHERE FID IN (SELECT FID FROM t_hrcs_entityctrl WHERE FAPPID = '0VO5EV13=I9W' AND FENTITYTYPEID = 'hcdm_salarystandard');
DELETE FROM t_hrcs_entityctrl WHERE FAPPID = '0VO5EV13=I9W' AND FENTITYTYPEID = 'hcdm_salarystandard';
DELETE FROM  T_HRCS_ENTITYDIMENTRY WHERE FID = 1463598089876068352 AND FPROPKEY = 'country';

DELETE FROM t_hrcs_entityctrl WHERE FID = 1463598089876068352;
INSERT INTO t_hrcs_entityctrl(FID,FCREATETIME,FMODIFIERID,FMODIFYTIME,FAPPID,FCREATORID,FENTITYTYPEID) VALUES (1463598089876068352,{ts'2022-07-13  00:00:00'},13466739,{ts'2022-07-13  00:00:00'},'0VO5EV13=I9W',13466739,'hcdm_salarystandard'); 

DELETE FROM T_HRCS_ENTITYDIMENTRY WHERE FENTRYID = 1463598089876023296;
INSERT INTO T_HRCS_ENTITYDIMENTRY(FID,FISMUST,FISSYSPRESET,FPROPKEY,FENTRYID,FDIMENSIONID,FSEQ,FDESCRIPTION,FAUTHRANGE) VALUES (1463598089876068352,'0','1','country',1463598089876023296,1386054929709435904,1,' ','3'); 


--薪酬体系
UPDATE T_HRCS_ENTITYDIMENTRY SET FID = 1681262423392128000 WHERE FID IN (SELECT FID FROM t_hrcs_entityctrl WHERE FAPPID = '0VO5EV13=I9W' AND FENTITYTYPEID = 'hcdm_stdscm');
DELETE FROM t_hrcs_entityctrl WHERE FAPPID = '0VO5EV13=I9W' AND FENTITYTYPEID = 'hcdm_stdscm';
DELETE FROM  T_HRCS_ENTITYDIMENTRY WHERE FID = 1681262423392128000 AND FPROPKEY = 'country';

DELETE FROM t_hrcs_entityctrl WHERE FID = 1681262423392128000;
INSERT INTO t_hrcs_entityctrl(FID,FCREATETIME,FMODIFIERID,FMODIFYTIME,FAPPID,FCREATORID,FENTITYTYPEID) VALUES (1681262423392128000,{ts'2023-05-09  00:00:00'},13466739,{ts'2023-05-09  00:00:00'},'0VO5EV13=I9W',13466739,'hcdm_stdscm'); 

DELETE FROM T_HRCS_ENTITYDIMENTRY WHERE FENTRYID = 1681262423392252928;
INSERT INTO T_HRCS_ENTITYDIMENTRY(FID,FISMUST,FISSYSPRESET,FPROPKEY,FENTRYID,FDIMENSIONID,FSEQ,FDESCRIPTION,FAUTHRANGE) VALUES (1681262423392128000,'0','1','country',1681262423392252928,1386054929709435904,1,' ','3'); 


--定调薪档案 之前预置过，只是标识没改成系统预置 参见 kd_1.5.188_stdscmdim_preset.sql
UPDATE T_HRCS_ENTITYDIMENTRY SET FID = 1598769252800661504 WHERE FID IN (SELECT FID FROM t_hrcs_entityctrl WHERE FAPPID = '0VO5EV13=I9W' AND FENTITYTYPEID = 'hcdm_adjfileinfo');
DELETE FROM t_hrcs_entityctrl WHERE FAPPID = '0VO5EV13=I9W' AND FENTITYTYPEID = 'hcdm_adjfileinfo';
DELETE FROM  T_HRCS_ENTITYDIMENTRY WHERE FID = 1598769252800661504 AND FPROPKEY = 'salaystructure';
DELETE FROM  T_HRCS_ENTITYDIMENTRY WHERE FID = 1598769252800661504 AND FPROPKEY = 'country';
DELETE FROM  T_HRCS_ENTITYDIMENTRY WHERE FID = 1598769252800661504 AND FPROPKEY = 'stdscm';
DELETE FROM  T_HRCS_ENTITYDIMENTRY WHERE FID = 1598769252800661504 AND FPROPKEY = 'adminorg';
DELETE FROM  T_HRCS_ENTITYDIMENTRY WHERE FID = 1598769252800661504 AND FPROPKEY = 'empgroup';

DELETE FROM t_hrcs_entityctrl WHERE FID = 1598769252800661504;
INSERT INTO t_hrcs_entityctrl(FID,FCREATETIME,FMODIFIERID,FMODIFYTIME,FAPPID,FCREATORID,FENTITYTYPEID) VALUES (1598769252800661504,{ts'2022-12-20  00:00:00'},13466739,{ts'2023-05-10  00:00:00'},'0VO5EV13=I9W',13466739,'hcdm_adjfileinfo'); 

DELETE FROM T_HRCS_ENTITYDIMENTRY WHERE FENTRYID = 1681934602962221057;
INSERT INTO T_HRCS_ENTITYDIMENTRY(FID,FISMUST,FISSYSPRESET,FPROPKEY,FENTRYID,FDIMENSIONID,FSEQ,FDESCRIPTION,FAUTHRANGE) VALUES (1598769252800661504,'0','1','salaystructure',1681934602962221057,1681746130259436544,5,' ','3'); 
DELETE FROM T_HRCS_ENTITYDIMENTRY WHERE FENTRYID = 1598769252809172992;
INSERT INTO T_HRCS_ENTITYDIMENTRY(FID,FISMUST,FISSYSPRESET,FPROPKEY,FENTRYID,FDIMENSIONID,FSEQ,FDESCRIPTION,FAUTHRANGE) VALUES (1598769252800661504,'0','1','country',1598769252809172992,1386054929709435904,1,' ','3'); 
DELETE FROM T_HRCS_ENTITYDIMENTRY WHERE FENTRYID = 1598769252809172993;
INSERT INTO T_HRCS_ENTITYDIMENTRY(FID,FISMUST,FISSYSPRESET,FPROPKEY,FENTRYID,FDIMENSIONID,FSEQ,FDESCRIPTION,FAUTHRANGE) VALUES (1598769252800661504,'0','1','stdscm',1598769252809172993,1598761063564727296,4,' ','3'); 
DELETE FROM T_HRCS_ENTITYDIMENTRY WHERE FENTRYID = 1598769252809172994;
INSERT INTO T_HRCS_ENTITYDIMENTRY(FID,FISMUST,FISSYSPRESET,FPROPKEY,FENTRYID,FDIMENSIONID,FSEQ,FDESCRIPTION,FAUTHRANGE) VALUES (1598769252800661504,'0','1','adminorg',1598769252809172994,1109486343509107712,2,' ','3'); 
DELETE FROM T_HRCS_ENTITYDIMENTRY WHERE FENTRYID = 1598769252809172995;
INSERT INTO T_HRCS_ENTITYDIMENTRY(FID,FISMUST,FISSYSPRESET,FPROPKEY,FENTRYID,FDIMENSIONID,FSEQ,FDESCRIPTION,FAUTHRANGE) VALUES (1598769252800661504,'0','1','empgroup',1598769252809172995,1386187714738686976,3,' ','3'); 

DELETE FROM T_HRCS_ENTITYCROSSOT WHERE FPKID = 1598769252809050112;
INSERT INTO T_HRCS_ENTITYCROSSOT(FBASEDATAID,FPKID,FENTRYID) VALUES (1010,1598769252809050112,1598769252809172994); 

--定调薪档案定调薪信息
-- 新增的基础资料，不需要先更新
DELETE FROM t_hrcs_entityctrl WHERE FID = 1682734912555227136;
INSERT INTO t_hrcs_entityctrl(FID,FCREATETIME,FMODIFIERID,FMODIFYTIME,FAPPID,FCREATORID,FENTITYTYPEID) VALUES (1682734912555227136,{ts'2023-05-11  00:00:00'},13466739,{ts'2023-05-11  00:00:00'},'0VO5EV13=I9W',13466739,'hcdm_salaryadjrecordquery'); 

DELETE FROM T_HRCS_ENTITYDIMENTRY WHERE FENTRYID = 1682734912555311104;
INSERT INTO T_HRCS_ENTITYDIMENTRY(FID,FISMUST,FISSYSPRESET,FPROPKEY,FENTRYID,FDIMENSIONID,FSEQ,FDESCRIPTION,FAUTHRANGE) VALUES (1682734912555227136,'0','1','hcdm_decadjrelperson.assoadminorg',1682734912555311104,1109486343509107712,1,' ','3'); 
DELETE FROM T_HRCS_ENTITYDIMENTRY WHERE FENTRYID = 1682734912555311105;
INSERT INTO T_HRCS_ENTITYDIMENTRY(FID,FISMUST,FISSYSPRESET,FPROPKEY,FENTRYID,FDIMENSIONID,FSEQ,FDESCRIPTION,FAUTHRANGE) VALUES (1682734912555227136,'0','1','hcdm_decadjrelperson.empgroup',1682734912555311105,1386187714738686976,2,' ','3'); 
DELETE FROM T_HRCS_ENTITYDIMENTRY WHERE FENTRYID = 1682734912555311106;
INSERT INTO T_HRCS_ENTITYDIMENTRY(FID,FISMUST,FISSYSPRESET,FPROPKEY,FENTRYID,FDIMENSIONID,FSEQ,FDESCRIPTION,FAUTHRANGE) VALUES (1682734912555227136,'0','1','hcdm_decadjrelperson.stdscm',1682734912555311106,1598761063564727296,3,' ','3'); 
DELETE FROM T_HRCS_ENTITYDIMENTRY WHERE FENTRYID = 1682734912555311107;
INSERT INTO T_HRCS_ENTITYDIMENTRY(FID,FISMUST,FISSYSPRESET,FPROPKEY,FENTRYID,FDIMENSIONID,FSEQ,FDESCRIPTION,FAUTHRANGE) VALUES (1682734912555227136,'0','1','hcdm_decadjrelperson.country',1682734912555311107,1386054929709435904,4,' ','3'); 
DELETE FROM T_HRCS_ENTITYDIMENTRY WHERE FENTRYID = 1682734912555311108;
INSERT INTO T_HRCS_ENTITYDIMENTRY(FID,FISMUST,FISSYSPRESET,FPROPKEY,FENTRYID,FDIMENSIONID,FSEQ,FDESCRIPTION,FAUTHRANGE) VALUES (1682734912555227136,'0','1','hcdm_decadjrelperson.salaystructure',1682734912555311108,1681746130259436544,5,' ','3'); 

DELETE FROM T_HRCS_ENTITYCROSSOT WHERE FPKID = 1682734912555227137;
INSERT INTO T_HRCS_ENTITYCROSSOT(FBASEDATAID,FPKID,FENTRYID) VALUES (1010,1682734912555227137,1682734912555311104); 


--定调薪方案
UPDATE T_HRCS_ENTITYDIMENTRY SET FID = 1681267164876764160 WHERE FID IN (SELECT FID FROM t_hrcs_entityctrl WHERE FAPPID = '0VO5EV13=I9W' AND FENTITYTYPEID = 'hcdm_adjapprovescm');
DELETE FROM t_hrcs_entityctrl WHERE FAPPID = '0VO5EV13=I9W' AND FENTITYTYPEID = 'hcdm_adjapprovescm';
DELETE FROM  T_HRCS_ENTITYDIMENTRY WHERE FID = 1681267164876764160 AND FPROPKEY = 'country';


DELETE FROM t_hrcs_entityctrl WHERE FID = 1681267164876764160;
INSERT INTO t_hrcs_entityctrl(FID,FCREATETIME,FMODIFIERID,FMODIFYTIME,FAPPID,FCREATORID,FENTITYTYPEID) VALUES (1681267164876764160,{ts'2023-05-09  00:00:00'},13466739,{ts'2023-05-09  00:00:00'},'0VO5EV13=I9W',13466739,'hcdm_adjapprovescm'); 

DELETE FROM T_HRCS_ENTITYDIMENTRY WHERE FENTRYID = 1681267164876639232;
INSERT INTO T_HRCS_ENTITYDIMENTRY(FID,FISMUST,FISSYSPRESET,FPROPKEY,FENTRYID,FDIMENSIONID,FSEQ,FDESCRIPTION,FAUTHRANGE) VALUES (1681267164876764160,'0','1','country',1681267164876639232,1386054929709435904,1,' ','3'); 


--定调薪申请单
UPDATE T_HRCS_ENTITYDIMENTRY SET FID = 1681267411174558720 WHERE FID IN (SELECT FID FROM t_hrcs_entityctrl WHERE FAPPID = '0VO5EV13=I9W' AND FENTITYTYPEID = 'hcdm_adjapprbill');
DELETE FROM t_hrcs_entityctrl WHERE FAPPID = '0VO5EV13=I9W' AND FENTITYTYPEID = 'hcdm_adjapprbill';
DELETE FROM  T_HRCS_ENTITYDIMENTRY WHERE FID = 1681267411174558720 AND FPROPKEY = 'country';

DELETE FROM t_hrcs_entityctrl WHERE FID = 1681267411174558720;
INSERT INTO t_hrcs_entityctrl(FID,FCREATETIME,FMODIFIERID,FMODIFYTIME,FAPPID,FCREATORID,FENTITYTYPEID) VALUES (1681267411174558720,{ts'2023-05-09  00:00:00'},13466739,{ts'2023-05-09  00:00:00'},'0VO5EV13=I9W',13466739,'hcdm_adjapprbill'); 

DELETE FROM T_HRCS_ENTITYDIMENTRY WHERE FENTRYID = 1681267411174683648;
INSERT INTO T_HRCS_ENTITYDIMENTRY(FID,FISMUST,FISSYSPRESET,FPROPKEY,FENTRYID,FDIMENSIONID,FSEQ,FDESCRIPTION,FAUTHRANGE) VALUES (1681267411174558720,'0','1','country',1681267411174683648,1386054929709435904,1,' ','3'); 

--定调薪申请单人员信息
UPDATE T_HRCS_ENTITYDIMENTRY SET FID = 1681816078784672768 WHERE FID IN (SELECT FID FROM t_hrcs_entityctrl WHERE FAPPID = '0VO5EV13=I9W' AND FENTITYTYPEID = 'hcdm_adjapprperson');
DELETE FROM t_hrcs_entityctrl WHERE FAPPID = '0VO5EV13=I9W' AND FENTITYTYPEID = 'hcdm_adjapprperson';
DELETE FROM  T_HRCS_ENTITYDIMENTRY WHERE FID = 1681816078784672768 AND FPROPKEY = 'adminorg';

DELETE FROM t_hrcs_entityctrl WHERE FID = 1681816078784672768;
INSERT INTO t_hrcs_entityctrl(FID,FCREATETIME,FMODIFIERID,FMODIFYTIME,FAPPID,FCREATORID,FENTITYTYPEID) VALUES (1681816078784672768,{ts'2023-05-10  00:00:00'},13466739,{ts'2023-05-10  00:00:00'},'0VO5EV13=I9W',13466739,'hcdm_adjapprperson'); 

DELETE FROM T_HRCS_ENTITYDIMENTRY WHERE FENTRYID = 1681816078784673792;
INSERT INTO T_HRCS_ENTITYDIMENTRY(FID,FISMUST,FISSYSPRESET,FPROPKEY,FENTRYID,FDIMENSIONID,FSEQ,FDESCRIPTION,FAUTHRANGE) VALUES (1681816078784672768,'0','1','adminorg',1681816078784673792,1109486343509107712,1,' ','3'); 

DELETE FROM T_HRCS_ENTITYCROSSOT WHERE FPKID = 1681816078784672769;
INSERT INTO T_HRCS_ENTITYCROSSOT(FBASEDATAID,FPKID,FENTRYID) VALUES (1010,1681816078784672769,1681816078784673792); 


--调薪确认模板配置
UPDATE T_HRCS_ENTITYDIMENTRY SET FID = 1681270010216975360 WHERE FID IN (SELECT FID FROM t_hrcs_entityctrl WHERE FAPPID = '0VO5EV13=I9W' AND FENTITYTYPEID = 'hcdm_adjconfirmtpl');
DELETE FROM t_hrcs_entityctrl WHERE FAPPID = '0VO5EV13=I9W' AND FENTITYTYPEID = 'hcdm_adjconfirmtpl';
DELETE FROM  T_HRCS_ENTITYDIMENTRY WHERE FID = 1681270010216975360 AND FPROPKEY = 'country';

DELETE FROM t_hrcs_entityctrl WHERE FID = 1681270010216975360;
INSERT INTO t_hrcs_entityctrl(FID,FCREATETIME,FMODIFIERID,FMODIFYTIME,FAPPID,FCREATORID,FENTITYTYPEID) VALUES (1681270010216975360,{ts'2023-05-09  00:00:00'},13466739,{ts'2023-05-09  00:00:00'},'0VO5EV13=I9W',13466739,'hcdm_adjconfirmtpl'); 

DELETE FROM T_HRCS_ENTITYDIMENTRY WHERE FENTRYID = 1681270010217100288;
INSERT INTO T_HRCS_ENTITYDIMENTRY(FID,FISMUST,FISSYSPRESET,FPROPKEY,FENTRYID,FDIMENSIONID,FSEQ,FDESCRIPTION,FAUTHRANGE) VALUES (1681270010216975360,'0','1','country',1681270010217100288,1386054929709435904,1,' ','3'); 


--业务项目
UPDATE T_HRCS_ENTITYDIMENTRY SET FID = 1681270377789125632 WHERE FID IN (SELECT FID FROM t_hrcs_entityctrl WHERE FAPPID = '0VO5EV13=I9W' AND FENTITYTYPEID = 'hcdm_bizitem');
DELETE FROM t_hrcs_entityctrl WHERE FAPPID = '0VO5EV13=I9W' AND FENTITYTYPEID = 'hcdm_bizitem';
DELETE FROM  T_HRCS_ENTITYDIMENTRY WHERE FID = 1681270377789125632 AND FPROPKEY = 'country';

DELETE FROM t_hrcs_entityctrl WHERE FID = 1681270377789125632;
INSERT INTO t_hrcs_entityctrl(FID,FCREATETIME,FMODIFIERID,FMODIFYTIME,FAPPID,FCREATORID,FENTITYTYPEID) VALUES (1681270377789125632,{ts'2023-05-09  00:00:00'},13466739,{ts'2023-05-09  00:00:00'},'0VO5EV13=I9W',13466739,'hcdm_bizitem'); 

DELETE FROM T_HRCS_ENTITYDIMENTRY WHERE FENTRYID = 1681270377789000704;
INSERT INTO T_HRCS_ENTITYDIMENTRY(FID,FISMUST,FISSYSPRESET,FPROPKEY,FENTRYID,FDIMENSIONID,FSEQ,FDESCRIPTION,FAUTHRANGE) VALUES (1681270377789125632,'0','1','country',1681270377789000704,1386054929709435904,1,' ','3'); 


--业务数据
UPDATE T_HRCS_ENTITYDIMENTRY SET FID = 1402942997229757440 WHERE FID IN (SELECT FID FROM t_hrcs_entityctrl WHERE FAPPID = '0VO5EV13=I9W' AND FENTITYTYPEID = 'hcdm_bizdata');
DELETE FROM t_hrcs_entityctrl WHERE FAPPID = '0VO5EV13=I9W' AND FENTITYTYPEID = 'hcdm_bizdata';
DELETE FROM  T_HRCS_ENTITYDIMENTRY WHERE FID = 1402942997229757440 AND FPROPKEY = 'adminorg';

DELETE FROM t_hrcs_entityctrl WHERE FID = 1402942997229757440;
INSERT INTO t_hrcs_entityctrl(FID,FCREATETIME,FMODIFIERID,FMODIFYTIME,FAPPID,FCREATORID,FENTITYTYPEID) VALUES (1402942997229757440,{ts'2022-04-20  00:00:00'},13466739,{ts'2022-04-20  00:00:00'},'0VO5EV13=I9W',13466739,'hcdm_bizdata'); 

DELETE FROM T_HRCS_ENTITYDIMENTRY WHERE FENTRYID = 1402942997229756416;
INSERT INTO T_HRCS_ENTITYDIMENTRY(FID,FISMUST,FISSYSPRESET,FPROPKEY,FENTRYID,FDIMENSIONID,FSEQ,FDESCRIPTION,FAUTHRANGE) VALUES (1402942997229757440,'0','1','adminorg',1402942997229756416,1109486343509107712,1,' ','3'); 

DELETE FROM T_HRCS_ENTITYCROSSOT WHERE FPKID = 1660270876018528270;
INSERT INTO T_HRCS_ENTITYCROSSOT(FBASEDATAID,FPKID,FENTRYID) VALUES (1010,1660270876018528270,1402942997229756416); 


--调薪辅助决策配置
UPDATE T_HRCS_ENTITYDIMENTRY SET FID = 1681270780559625216 WHERE FID IN (SELECT FID FROM t_hrcs_entityctrl WHERE FAPPID = '0VO5EV13=I9W' AND FENTITYTYPEID = 'hcdm_adjdecisioncfg');
DELETE FROM t_hrcs_entityctrl WHERE FAPPID = '0VO5EV13=I9W' AND FENTITYTYPEID = 'hcdm_adjdecisioncfg';
DELETE FROM  T_HRCS_ENTITYDIMENTRY WHERE FID = 1681270780559625216 AND FPROPKEY = 'country';

DELETE FROM t_hrcs_entityctrl WHERE FID = 1681270780559625216;
INSERT INTO t_hrcs_entityctrl(FID,FCREATETIME,FMODIFIERID,FMODIFYTIME,FAPPID,FCREATORID,FENTITYTYPEID) VALUES (1681270780559625216,{ts'2023-05-09  00:00:00'},13466739,{ts'2023-05-09  00:00:00'},'0VO5EV13=I9W',13466739,'hcdm_adjdecisioncfg'); 

DELETE FROM T_HRCS_ENTITYDIMENTRY WHERE FENTRYID = 1681270780559750144;
INSERT INTO T_HRCS_ENTITYDIMENTRY(FID,FISMUST,FISSYSPRESET,FPROPKEY,FENTRYID,FDIMENSIONID,FSEQ,FDESCRIPTION,FAUTHRANGE) VALUES (1681270780559625216,'0','1','country',1681270780559750144,1386054929709435904,1,' ','3'); 


--定调薪数据同步模板 之前预置过，只是标识没改成系统预置 参见 kd_1.5.176_hrcs_adjsynsetentityctrl.sql
UPDATE T_HRCS_ENTITYDIMENTRY SET FID = 1579729102326260736 WHERE FID IN (SELECT FID FROM t_hrcs_entityctrl WHERE FAPPID = '0VO5EV13=I9W' AND FENTITYTYPEID = 'hcdm_adjsalarysynset');
DELETE FROM t_hrcs_entityctrl WHERE FAPPID = '0VO5EV13=I9W' AND FENTITYTYPEID = 'hcdm_adjsalarysynset';
DELETE FROM  T_HRCS_ENTITYDIMENTRY WHERE FID = 1579729102326260736 AND FPROPKEY = 'country';

DELETE FROM t_hrcs_entityctrl WHERE FID = 1579729102326260736;
INSERT INTO t_hrcs_entityctrl(FID,FCREATETIME,FMODIFIERID,FMODIFYTIME,FAPPID,FCREATORID,FENTITYTYPEID) VALUES (1579729102326260736,{ts'2022-12-20  00:00:00'},13466739,{ts'2022-12-20  00:00:00'},'0VO5EV13=I9W',13466739,'hcdm_adjsalarysynset'); 

DELETE FROM T_HRCS_ENTITYDIMENTRY WHERE FENTRYID = 1579729102326261760;
INSERT INTO T_HRCS_ENTITYDIMENTRY(FID,FISMUST,FISSYSPRESET,FPROPKEY,FENTRYID,FDIMENSIONID,FSEQ,FDESCRIPTION,FAUTHRANGE) VALUES (1579729102326260736,'0','1','country',1579729102326261760,1386054929709435904,1,' ','3'); 

--定调薪数据同步 
UPDATE T_HRCS_ENTITYDIMENTRY SET FID = 1690675122739878912 WHERE FID IN (SELECT FID FROM t_hrcs_entityctrl WHERE FAPPID = '0VO5EV13=I9W' AND FENTITYTYPEID = 'hcdm_adjsalsyn');
DELETE FROM t_hrcs_entityctrl WHERE FAPPID = '0VO5EV13=I9W' AND FENTITYTYPEID = 'hcdm_adjsalsyn';
DELETE FROM  T_HRCS_ENTITYDIMENTRY WHERE FID = 1690675122739878912 AND FPROPKEY = 'country';

DELETE FROM t_hrcs_entityctrl WHERE FID = 1690675122739878912;
INSERT INTO t_hrcs_entityctrl(FID,FCREATETIME,FMODIFIERID,FMODIFYTIME,FAPPID,FCREATORID,FENTITYTYPEID) VALUES (1690675122739878912,{ts'2023-05-22  00:00:00'},13466739,{ts'2023-05-22  00:00:00'},'0VO5EV13=I9W',13466739,'hcdm_adjsalsyn'); 

DELETE FROM T_HRCS_ENTITYDIMENTRY WHERE FENTRYID = 1690675122740001792;
INSERT INTO T_HRCS_ENTITYDIMENTRY(FID,FISMUST,FISSYSPRESET,FPROPKEY,FENTRYID,FDIMENSIONID,FSEQ,FDESCRIPTION,FAUTHRANGE) VALUES (1690675122739878912,'0','1','country',1690675122740001792,1386054929709435904,1,' ','3'); 











